Campaigns
Get the CSV import progress of a campaign
Returns the import state and counts of a campaign created from a CSV file, and the progress of its async operation. import.totalRows is the number of selected review rows the import resolves. A campaign whose import operation failed is moved to failed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/campaigns/string/import"{ "success": true, "data": { "campaignId": "string", "campaignStatus": "string", "recipientCount": 0, "failureReason": "string", "import": { "status": "queued", "operationId": "string", "fileName": "string", "totalRows": 0, "processedRows": 0, "recipients": 0, "created": 0, "matched": 0, "merged": 0, "sentToReview": 0, "invalidRows": 0, "duplicateRows": 0, "ownedByOthers": 0, "protectedContacts": 0, "outsideSegments": 0, "failedRows": 0, "workflowsStarted": 0, "workflowsFailed": 0, "error": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "operation": { "status": "string", "progress": { "total": 0, "processed": 0, "succeeded": 0, "failed": 0, "skipped": 0 }, "error": {} } }}